mav_surfaceParamsIsTextured(3)

NAME
mav_surfaceParamsIsTextured - Query surface parameters for texture.

LEVEL
Maverik Level 3

SYNTAX
int mav_surfaceParamsIsTextured(MAV_window *w, MAV_surfaceParams *sp);

ARGUMENTS

MAV_window *w
    Window with which surface parameters are associated.

MAV_surfaceParams *sp
    Surface parameters.

DESCRIPTION
This function examines the surface parameters sp on window w to determine if textures are specified, returning MAV_TRUE if they are, otherwise MAV_FALSE. This function is used internally by the kernel to minimise context changes during rendering.